%define name bib2html
%define version 3.3
%define release 1mdk

%define pkgdatadir %{_datadir}/%{name}

Summary:	BibTeX to HTML translator
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://www.arakhne.org/bib2html/
Source0:	http://galland.stephane.free.fr/arakhne.org/bib2html/%{name}-%{version}.tar.bz2
License:	GPL
Group:		Publishing
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
BuildRequires:	perl-devel bzip2

%description
bib2html is a script which permits to generate a set of HTML pages from a 
BibTeX database.

%prep
%setup -q

# make sure file permissions are correct
find -type f -print0 | xargs -r -0 chmod 0644
find -type d -print0 | xargs -r -0 chmod 0755
chmod +x src/bib2html.pl

%build
# Build the manual pages
podselect ./src/bib2html.pl | pod2man --section=1 --release="%{version}" --center=' ' --name="BIB2HTML" > man/%{name}_en.man.1

pod2man --section=1 --release="%{version}" --center=' ' --name="BIB2HTML" ./man/fr.pod > man/%{name}_fr.man.1

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p "$RPM_BUILD_ROOT%{pkgdatadir}/"
cp -Rf ./src/* "$RPM_BUILD_ROOT%{pkgdatadir}/"

install -D -m 644 man/%{name}_en.man.1 "$RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1"
install -D -m 644 man/%{name}_fr.man.1 "$RPM_BUILD_ROOT%{_mandir}/fr/man1/%{name}.1"

mkdir -p "$RPM_BUILD_ROOT%{_bindir}"
ln -s "%{pkgdatadir}/bib2html.pl" "$RPM_BUILD_ROOT%{_bindir}/%{name}"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changelog COPYING AUTHORS README doc/*
%{pkgdatadir}
%{_bindir}/%{name}
%{_mandir}/man1/*
%lang(fr) %{_mandir}/fr/man1/*

%changelog
* Mon Feb 21 2005 Lenny Cartier <lenny@mandrakesoft.com> 3.3-1mdk
- 3.3

* Fri Feb 04 2005 Abel Cheung <deaddog@mandrake.org> 3.2-1mdk
- First version adopted into Mandrakelinux, thx to Stephane's work

* Mon Dec 6 2004 Stephane <galland@arakhne.org> 3.1-1mdk
- Joao has added the Portuguese language support.
- Bug fix: the name of the language passed by '--lang' is
  now case-insensitive.

* Fri Dec 3 2004 Stephane <galland@arakhne.org> 3.0-1mdk
- More TeX commands are added by Dimitris:
  \epsilon, \Epsilon, \mathbf, \mathit, \mathrm,
  \mathsf, \mathtt, \mathnormal, \sqrt
- Create a XML generator which respect the DTD from
  BibTeXML.
- Add an XML output inside the HTML generator.
- Bug fix: the character '+' is not allowed inside the entry keys.

* Fri Nov 26 2004 Stephane <galland@arakhne.org> 2.0-1mdk
- FIRST RELEASE FOR MANDRAKE
- Spanish is included into the generators.
- Links to the author's list of publication was
  added for each other inside the entry's field
  list.
- The option '--checknames' permits to check if
  some author's names are duplicated or contain
  mistakes.
- Bug fixes.

* Fri Nov 12 2004 Stephane <galland@arakhne.org> 1.5-1
- sometimes the carriage return characters was
  not supported by the BibTeX parser.
- Generation of the BibTeX short labels (eg. [ABC04])
  produces too long labels in case a lot of
  names was proposed to the function.
- The names of the authors are not well upper-cased
  for each first letter of the words.
- if an error occurs during the copy of a pdf file,
  bib2html will not failed but only warm the user.

* Wed Sep 22 2004 Stephane <galland@arakhne.org> 1.4-1
- Fix the bug that copy the electronical file when
  the Extended generator's parameter "targt-url"
  was specified.

* Mon Aug 23 2004 Stephane <galland@arakhne.org> 1.3-1
- Lot of bug fixes
- Add the BibTeX's entry types 'proceedings' and 'unpublished'
- Add a documentation

* Thu Aug 19 2004 Stephane <galland@arakhne.org> 1.2-2
- Fix the file's permissions in this package.
- Add a UNIX manual page

* Tue Aug 17 2004 Stephane <galland@arakhne.org> 1.2-1
- Fix a bug in the BibTeX parser which prevents to
  properly scan the @comment
- Allow a comment line to finish the BibTeX file
  without any carriage return character.

* Mon Mar 29 2004 Stephane <galland@arakhne.org> 1.1-1
- add verbatim generation of BibTeX code
- Many bug fixes

* Fri Mar 19 2004 Stephane <galland@arakhne.org> 1.0-1
- First stable release

* Wed Feb 25 2004 Stephane <galland@arakhne.org> 0.11-1
- add an index of authors and of author's publications inside
  the two left frames
- add the class AbstractGenerator.pm
- add ExtendedGen.pm which permits to generate HTML page with:
  a) isbn, issn, and readers
  b) abstract and keywords
  c) the support for downloading an electronic
     document ('localfile')
- add the support of LaTeX environments (\begin,\end)
- add the generator Domain which permits to support domain
  for documents (domain,nddomain,rddomain,domains)
- Bug fixes	

* Thu Dec 11 2003 Stephane <galland@arakhne.org> 0.10-3
- Syntactic bug fix

* Thu Dec 11 2003 Stephane <galland@arakhne.org> 0.10-2
- Adds the name of the new contributors

* Thu Dec 11 2003 Stephane <galland@arakhne.org> 0.10-1
- Major Bug fixes

* Fri Sep 26 2003 Stephane <galland@arakhne.org> 0.9-1
- Adds the generated 'Extended' (with support of
  more bibtex fields)
- Better author name support
- Major Bug fixes ("et al.", ...)

* Fri Aug 01 2003 Stephane <galland@arakhne.org> 0.8-1
- Adds the command \cite
- Bug fixes

* Mon Jul 28 2003 Stephane <galland@arakhne.org> 0.7-2
- Sign this package with my GPG signature.

* Wed Jul 09 2003 Stephane <galland@arakhne.org> 0.7-1
- Adds LaTeX math-mode support
- Adds partial MathML support
- Major bug fixes

* Tue Jun 26 2003 Stephane <galland@arakhne.org> 0.6-1
- Adds multi-language support
- Adds themes
- Major bug fixes

* Fri Mar 04 2003 Stephane <galland@arakhne.org> 0.5-rc1-1
- first RPM version
